<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddRequests extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'request_id' => [
                'type'           => 'INT',
                'constraint'     => 11,
                'unsigned'       => true,
                'auto_increment' => true,
            ],
            'json' => [
                'type'       => 'TEXT',
                'constraint' => '100',
            ],
            'data_request' => [
                'type' => 'datetime',
                'null' => true,
            ],
            'authentication' => [
                'type' => 'text',
                'null' => true,
            ],            
            'user' => [
                'type' => 'VARCHAR',
                'constraint'=> 100,
                'null' => true,
            ],
            'url' => [
                'type' => 'VARCHAR',
                'constraint'=> 250,
                'null' => true,
            ],
            'type' => [
                'type' => 'INT',
                'constraint'=> 5,
                'default' => 1
            ]
        ]);
        $this->forge->addKey('request_id', true);
        $this->forge->createTable('requests');
    }

    public function down()
    {
        $this->forge->dropTable('requests');
    }
}
