<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddResponses extends Migration
{
    public function up()
    {
        //
        $this->forge->addField([
            'response_id' => [
                'type'           => 'INT',
                'constraint'     => 11,
                'unsigned'       => true,
                'auto_increment' => true,
            ],
            'request_id' => [
                'type'       => 'INT',
                'constraint' => '11',
                'unsigned'       => true
            ],
            'message' => [
                'type' => 'VARCHAR',
                'null' => true,
                'constraint' => '250',
            ],
            'code' => [
                'type' => 'VARCHAR',
                'null' => true,
                'constraint' => '50',
            ],            
            'url' => [
                'type' => 'VARCHAR',
                'constraint'=> 250,
                'null' => true,
            ],            
        ]);
        $this->forge->addKey('response_id', true);
        $this->forge->addForeignKey('request_id', 'requests', 'request_id');
        $this->forge->createTable('responses');
    }

    public function down()
    {
        //
        $this->forge->dropTable('responses');
    }
}
