<?php

namespace App\Models;

use CodeIgniter\Model;

class Request extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'requests';
    protected $primaryKey       = 'request_id';
    protected $allowedFields    = ['request_id', 'json', 'data_request', 'authentication', 'user', 'id_user', 'url', 'type', 'id_type'];

    public function listar($id = null, $rol = null)
    {
        if ($rol == 102) {
            $Model = $this->db
                ->table($this->table)
                ->select('requests.*, responses.title, types.type')
                ->join('responses', 'requests.request_id = responses.request_id')
                ->join('types', 'requests.id_type = types.id')
                ->where('requests.id_user', $id);
        } else {
            $Model = $this->db
                ->table($this->table)
                ->select('requests.*, responses.title, types.type')
                ->join('responses', 'requests.request_id = responses.request_id')
                ->join('types', 'requests.id_type = types.id');
        }

        return $Model->get()->getResult();
    }

    public function listarDocumentos($id = null, $rol = null, $fechainicial = null, $fechafinal = null, $filter = "", $hasPagination = true)
    {
        $db = \Config\Database::connect();

        if (!empty($filter)) {
            $filter = $db->escape('%' . $filter . '%');
        }

        if ($rol == 102) {
            $Model = $this
                // ->table($this->table)
                ->select('requests.*, responses.title, types.type')
                ->join('responses', 'requests.request_id = responses.request_id')
                ->join('types', 'requests.id_type = types.id')
                ->where('requests.id_user', $id)
                ->where('requests.data_request >=', $fechainicial)
                ->where('requests.data_request <=', $fechafinal);
        } else {
            $Model = $this
                // ->table($this->table)
                ->select('requests.*, responses.title, types.type')
                ->join('responses', 'requests.request_id = responses.request_id')
                ->join('types', 'requests.id_type = types.id')
                ->where('requests.data_request >=', $fechainicial)
                ->where('requests.data_request <=', $fechafinal);
        }
        $where = "";
        if (!empty($filter)) {
            $where = "(requests.user LIKE $filter OR requests.url LIKE $filter OR responses.title LIKE $filter OR types.type LIKE $filter) ";
            $Model->where($where);
        }

        return $hasPagination ? $Model->paginate(10) : $Model->get()->getResultArray();
        // return $Model->get()->getResult();
    }

    public function eliminar($data)
    {
        $Model = $this->db->table($this->table);
        $Model->where($data);
        return $Model->delete();
    }
}
