<?= $this->extend('layouts/main'); ?>
<?= $this->section('styles'); ?>

<!-- DATA TABLE CSS -->
<link href="<?php echo base_url('assets/plugins/datatable/css/dataTables.bootstrap5.min.css'); ?>" rel="stylesheet" />
<link href="<?php echo base_url('assets/plugins/datatable/css/fixedColumns.dataTables.min.css'); ?>" rel="stylesheet" />

<?= $this->endSection('styles'); ?>

<?= $this->section('page-header'); ?>

<div>
    <h1 class="page-title">Tipo</h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="<?= base_url('/') ?>">Home</a></li>
        <li class="breadcrumb-item active" aria-current="page">Tipo</li>
    </ol>
</div>

<?= $this->endSection('page-header'); ?>

<?= $this->section('content'); ?>

<button type="button" class="btn btn-primary mb-3" data-bs-toggle="modal" data-bs-target="#exampleModal3">Agregar</button>

<?php if (session()->getFlashdata('errors')) : ?>
    <div class="alert alert-danger text-center" role="alert">
        <h4 class="fw-bold">¡Error!</h4>
        <ul>
            <?php foreach (session()->getFlashdata('errors') as $error) : ?>
                <li><?php echo $error ?></li>
            <?php endforeach ?>
        </ul>
    </div>
<?php endif;  ?>

<?php if (session()->getFlashdata('msg-success')) : ?>
    <div class="alert alert-success text-center" role="alert">
        <?= session()->getFlashdata('msg-success') ?>
    </div>
<?php endif;  ?>
<?php if (session()->getFlashdata('msg-error')) : ?>
    <div class="alert alert-danger text-center" role="alert">
        <?= session()->getFlashdata('msg-error') ?>
    </div>
<?php endif;  ?>

<!-- ROW-1 OPEN -->
<div class="row">
    <div class="col-md-12 col-lg-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">Tipo</h3>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="example" class="table table-striped table-bordered text-nowrap w-100">
                        <thead class="thead-dark">
                            <tr>
                                <th>Tipo</th>
                                <th style="width:10%;">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($datos as $key) : ?>
                                <tr>
                                    <td> <?= $key->type ?> </td>
                                    <td class="text-center">
                                        <a style="cursor:pointer;" class="fs-5 text-orange" data-bs-toggle="modal" data-bs-target="#modalEditar" data-bs-id="<?= $key->id; ?>" data-bs-type="<?= $key->type; ?>">
                                            <i data-bs-toggle="tooltip" data-bs-placement="top" title="Editar" class="fa fa-edit"></i>
                                        </a>
                                        <a href="<?php echo base_url() . '/tipos/eliminar/' . $key->id; ?>" class="fs-5 text-danger"><i data-bs-toggle="tooltip" data-bs-placement="top" title="Eliminar" class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- TABLE WRAPPER -->
        </div>
        <!-- SECTION WRAPPER -->
    </div>
</div>
<!-- ROW-1 CLOSED -->

<!-- MESSAGE MODAL -->
<div class="modal fade" id="exampleModal3" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="POST" action="<?php echo base_url() . '/tipos/crear' ?>">
                <div class="modal-header">
                    <h5 class="modal-title" id="example-Modal3">Nuevo Tipo</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="type" class="form-control-label">Tipo</label>
                        <input type="text" class="form-control" name="type" id="type" value="<?= old('type') ?>" placeholder="Ingrese el tipo">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- MESSAGE MODAL CLOSED -->

<!-- MESSAGE MODAL -->
<div class="modal fade" id="modalEditar" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="POST" action="<?php echo base_url() . '/tipos/actualizar' ?>">
                <div class="modal-header">
                    <h5 class="modal-title" id="example-Modal3">Editar Tipo</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <input type="text" class="form-control" name="idupdate" id="idupdate" hidden="">
                    <div class="mb-3">
                        <label for="typeupdate" class="form-control-label">Tipo</label>
                        <input type="text" class="form-control" name="typeupdate" id="typeupdate" placeholder="Ingrese el tipo">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Actualizar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- MESSAGE MODAL CLOSED -->


<?= $this->endSection('content'); ?>

<?= $this->section('scripts'); ?>

<!-- DATA TABLE JS-->
<script src="<?php echo base_url('assets/plugins/datatable/js/jquery.dataTables.min.js'); ?>"></script>
<script src="<?php echo base_url('assets/plugins/datatable/js/dataTables.bootstrap5.min.js'); ?>"></script>
<script src="<?php echo base_url('assets/plugins/datatable/datatable.js'); ?>"></script>
<script src="<?php echo base_url('assets/plugins/datatable/dataTables.responsive.min.js'); ?>"></script>

<script>
    let exampleModal = document.getElementById('modalEditar')
    exampleModal.addEventListener('show.bs.modal', function(event) {
        let button = event.relatedTarget
        let id = button.getAttribute('data-bs-id')
        let type = button.getAttribute('data-bs-type')

        let modalBodyInputId = exampleModal.querySelector('.modal-body #idupdate')
        let modalBodyInputType = exampleModal.querySelector('.modal-body #typeupdate')

        modalBodyInputId.value = id
        modalBodyInputType.value = type
    })
</script>

<?= $this->endSection('scripts'); ?>